# FFD
ffd.fake <- function(J, K){
	item <- rep(1:K, each=J)                  # item
	id   <- rep(1:J, K)                       # subject
	cond <- rep(c(1,2,3,4, 2,3,4,1, 3,4,1,2, 4,1,2,3), J*K/16)
	x1 <- ifelse(cond<=2, -.5, .5)            # lexical status
	pv <- ifelse(cond==1 | cond==3, -.5, .5)  # preview        

    # hyperparameters for ffd
	mu.a.true <-   200
	x1.true   <-    -7
	pv.true   <-     7
	x1pv.true <-   -14
	sigma.item.true <- 13
	sigma.id.true   <- 26
	sigma.y.true    <- 60

	# person- and item level parameters
	a.id.true <- rnorm(J, 0, sigma.id.true)
	a.item.true <- rnorm(K, 0, sigma.item.true)

	# data
	y <- rnorm(J*K, mu.a.true +x1*x1.true + pv*pv.true + x1*pv*x1pv.true+
	                   + a.id.true[id] + a.item.true[item], sigma.y.true)
	return(data.frame(y, x1, pv, id, item))
}
