n2.power <- function(J, K, prop=1.0, n.sims=1000){
	signif.x1   <- rep(NA, n.sims)
	signif.pv   <- rep(NA, n.sims)
	signif.x1pv <- rep(NA, n.sims)
	N <- J*K
	
	for (s in 1:n.sims){
		fake <- ffd.fake(J,K)
		fake$ix <- 1:N
		fake <- fake[sample(fake$ix, prop*N), ]
		lme.power <- lmer(y ~ x1*pv + (1|id) + (1|item), data=fake)
		#print(lme.power)   
		               
		theta.x1.hat <- fixef(lme.power)["x1"]
		theta.x1.se  <- sqrt(vcov(lme.power)[2,2])
		signif.x1[s] <- (theta.x1.hat + 2*theta.x1.se) < 0 # returns TRUE or FALSE
		
		theta.pv.hat <- fixef(lme.power)["pv"]
		theta.pv.se  <- sqrt(vcov(lme.power)[3,3])
		signif.pv[s] <- (theta.pv.hat - 2*theta.pv.se) > 0 # returns TRUE or FALSE

		theta.x1pv.hat <- fixef(lme.power)["x1:pv"]
		theta.x1pv.se  <- sqrt(vcov(lme.power)[4,4])
		signif.x1pv[s] <- (theta.x1pv.hat + 2*theta.x1pv.se) < 0  # returns T or F
		#cat(s,": ", mean(signif.x1[1:s]), 
		#       " ", mean(signif.pv[1:s]),
		#       " ", mean(signif.x1pv[1:s]), "\n")  

	}
	signif<-cbind(signif.x1, signif.pv, signif.x1pv)
}
