# lmer fpr n+2
# 6-01-2007
rm(list=ls())
load("/Users/kliegl/documents/projects/EyeMoves/n+2-Experiment/Revision/n2bnd_dvmat.rda")
library(reshape)
library(lme4)
source("plmer.R")

d.all$item <- rep(1:1552,times=30) # 1552 words x 30 subjecs (160 Sätze/Subject; all words)
nrow(d.all) # 46560

# twx: 0: word n, 1: n+1, 2: n+2, 3: n+3, 9: other
TargetRegion <- which(d.all$twx<3)  # word n, n+1, n+2; 3*160*30 = 14400  
d.red1 <- d.all[TargetRegion, ]
nrow(d.red1)

# Missing sentences: 1596, 1596/14400=.1108, 14400-1596=12804
validSn <- which(d.red1$prevw >=0 )
d.red2 <- d.red1[validSn, ]
nrow(d.red2) # 12804

# Display change too late
validBnd5 <- which(d.red2$bnd5 == 1) # valid display change,  82%  of possible measures
d <- d.red2[validBnd5, ]  # 9096 valid words 
nrow(d) # 9096

d$x1 <- d$cnpl1 - 1.5  # lex status word n+1 -.5: cw, +.5: fw
d$pv <- d$prevw - 0.5  # preview -.5: id, +.5: nw

d.rs <- melt(d, id=c("id", "item", "x1", "pv", "twx"), measure=c("FFDr", "GZD", "ILP") )
cast(d.rs, x1+pv ~ variable, function(x) c(round(mean(x, na.rm=TRUE)), round(sd(x, na.rm=TRUE))),
     subset=twx==0 )

cast(d.rs, x1+pv ~ variable, function(x) c(mean(x, na.rm=TRUE), sd(x, na.rm=TRUE)),
     subset=twx==0 )

# lme 1:  preview x lex status
# ... FFDr
m0.ffd <- lmer(FFDr ~ x1*pv + (1|id) + (1|item), data=d, subset=twx==0)
pvals.fnc(m0.ffd)

m0.gzd <- lmer(GZD ~ x1*pv + (1|id) + (1|item), data=d, subset=twx==0)
pvals.fnc(m0.gzd)
